import request from '@/utils/request'

// 查询统计点列表
export function listPoint(query) {
  return request({
    url: '/backstage/point/list',
    method: 'get',
    params: query
  })
}

// 查询统计点详细
export function getPoint(id) {
  return request({
    url: '/backstage/point/' + id,
    method: 'get'
  })
}

// 新增统计点
export function addPoint(data) {
  return request({
    url: '/backstage/point',
    method: 'post',
    data: data
  })
}

// 修改统计点
export function updatePoint(data) {
  return request({
    url: '/backstage/point',
    method: 'put',
    data: data
  })
}

// 删除统计点
export function delPoint(id) {
  return request({
    url: '/backstage/point/' + id,
    method: 'delete'
  })
}

// 导出统计点
export function exportPoint(query) {
  return request({
    url: '/backstage/point/export',
    method: 'get',
    params: query
  })
}